Skip to main content
PATCH
/
marketing-templates
/
{uuid}
Update a marketing email template
curl --request PATCH \
  --url https://api.journeybee.io/v1/marketing-templates/{uuid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "subject": "<string>",
  "partner_visible": true,
  "live": true
}
'
{
  "uuid": "<string>",
  "name": "<string>",
  "subject": "<string>",
  "partner_visible": true,
  "live": true,
  "campaign_count": 0,
  "created_at": "<string>",
  "updated_at": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".

Path Parameters

uuid
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Body

application/json
name
string
subject
string
channel
enum<string>
Available options:
email,
linkedin,
landing_page
partner_visible
boolean
live
boolean

Response

200 - application/json

Default Response

uuid
string
required
name
string
required
subject
string
required
channel
enum<string>
required
Available options:
email,
linkedin,
landing_page
partner_visible
boolean
required
live
boolean
required
campaign_count
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
created_at
string
required
updated_at
string
required